// ------------------------------------------------------------------
// Consultar Lote RPS
// ------------------------------------------------------------------
unit BETHAConsultarLoteRPS;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, ComObj, Dialogs;

type
  TBETHAConsultarLoteRPS = class
  public
    procedure Executar;
  end;

implementation

procedure TBETHAConsultarLoteRPS.Executar;
var
  oConfiguracao: OleVariant;
  oConsultarLoteRps: OleVariant;
  oExceptionInterop: OleVariant;
  XML: string;
begin
  oExceptionInterop := CreateOleObject('Unimake.Exceptions.ThrowHelper');

  try

  except
    on E: Exception do
    begin
      ShowMessage('Erro ao consultar lote RPS: ' + E.Message);
      ShowMessage(oExceptionInterop.GetMessage());
      ShowMessage(IntToStr(oExceptionInterop.GetErrorCode()));
    end;
  end;
end;

end.
